
<?php

//$monatszahlen == array(1,2,3,4,5,6,7,8,9,10,11,12);
/***************************************
	Autor: Arnold Schiller
	Datum: 30.09.2003

*****************************************/
/**
Funktion erwartet als bergabe den Monat als Namen, die Monatszahl und das Jahr
Funktioniert bis zum Jahr 2038
Aufruf mit kalender($monate,$monatszahl,$jahre,$farbe)
**/
function kalender($monat,$monatszahlen,$jahreszahl,$farbe,$ConfigPath,$rows){


//if($_SERVER['SCRIPT_FILENAME'] == $_SERVER['PHP_SELF']){
	//echo "test";
	//		}
/*
Falls der Funktion nichts bergeben wird, gibt es ein hssliches
Warning, aber ich will trotzdem was ausgeben
*/
/*
Osterformel lt. PTB
K = INT( X / 100 )    (Ostern.1)
M = 15 + INT(( 3*K+3 ) / 4 ) - INT(( 8*K+13 ) / 25 )    (Ostern.2)
S = 2 - INT(( 3*K+3 ) / 4    (Ostern.3)
A = MOD( X, 19 )    (Ostern.4)
D = MOD( 19*A+M, 30 )    (Ostern.5)
R = INT( D / 29 ) + ( INT( D / 28 ) - INT( D / 29 )) * INT( A / 11 )    (Ostern.6)
OG = 21 + D - R    (Ostern.7)
Mrzdatum des Ostervollmonds (= 14. Tag des ersten Monats im Mondkalender, genannt Nisanu)
SZ = 7 - MOD( X + INT( X / 4 ) + S, 7 )    (Ostern.8)
Datum des 1. Sonntags im Mrz
OE = 7 - MOD( OG - SZ, 7 )    (Ostern.9)
Dann ist OS = OG + OE das Datum des Ostersonntags, als Datum im Monat Mrz dargestellt. Der 32. Mrz entspricht dem 1. April
*/
/* Ostersonntag - 46: Aschermittwoch,  (Aschermittwoch)
   Ostersonntag + 39: Christi Himmelfahrt,    (Himmelfahrt)
   Ostersonntag + 49: Pfingstsonntag,    (Pfingstsonntag)
   Ostersonntag + 60: Fronleichnam    (Fronleichnam)
/**
* erstmal ein paar Variablen
***/

include_once("osterformel.inc.php");
include("$ConfigPath");
include("$IncludeDayName");
include("$IncludeHolidayText");

$feiertagetext = array();
$feiertagetext =  holydaytext($language,$LanguagePathAbs);
//In zeichen landet alles was an Zeichen zurckgegeben wer//In zeichen landet alles was an Zeichen zurckgegeben werden sollden soll
$zeichen = "";
//Welches Datum ist heute
$today = time();
//Dieser Tag fr die t-funktion
$wochenanzeige = 0;
/* von array 0 bis 3 jahrbild.php r,g,b,textfarbe 0 bis 254 grautne
von array 4 bis 7 monatbild.php r,g,b,textfarbe 0 bis 254 grautne
von array 8 bis 11 tagbild.php  r,g,b,textfarbe 0 bis 254 grautne
von array 12 bis 15 wochenbild.php r,g,b,textfarbe 0 bis 254 Grautne
von array 16 bis 18 leerbild.php r,g,b
von array 19 bis 21 feiertag
*/
$standardfarbmodell = array(240,240,240,0,240,240,240,0,15,50,100,255,14,5,244,255,222,222,222,222,0,0,222,222,222,1);

if(!$rows){
	$rows = 4;
}


if(!$feiertagetext){
		$feiertagetext = "Sorry not configured";
		}


if(!$monat){
	 $monat = date('F');
	 }
if(!$monatszahlen){
	 $monatszahlen = date('n');
	 }
// Keine Jahreszahl? darf eigentlich nicht sein, aber gut..
if(!$jahreszahl){
	 $jahreszahl = date('Y');
	 }
//Wenn kein Farbmodell angegeben wurde dann
if(!$farbe){
	 /* von array 0 bis 3 jahrbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 4 bis 7 monatbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 8 bis 11 tagbild.php  r,g,b,textfarbe 0 bis 254 grautne
		von array 12 bis 15 wochenbild.php r,g,b,textfarbe 0 bis 254 Grautne
		von array 16 bis 18 '.ImagePathRel.'leerbild.php r,g,b
		von array 19 bis 21 feiertag
		von array 22 bis 35 today
		*/
	 $farben = array(240,240,240,0,240,240,240,0,15,50,100,255,14,5,244,255,222,222,222,222,0,0,240,240,240,0);
}
/*
Ist es ein Array oder nicht, eigentlich erwarte ich ein Array
$monat,$monatszahlen
*/
if(is_array($monat)){
		if(count($monat) == count($monatszahlen)){
		$monate = $monat;
		$laenge = 564;
		}else{
		if(is_array($monatszahlen)){
					
					foreach($monatszahlen as $wert){
					  $i++;
					  $monate[$i] = $monat[$wert-1];
						 //echo $wert;
					   }
			   $i = 0;
			}else{
				   $monate[$i] = $monat[$monatszahlen-1];
				   //echo $monatszahlen;	
			}
		}
	}else{
		$monate = array($monat);
		$laenge = 166;
	}
if(is_array($monat)){
		$monatszahl = $monatszahlen;
	}else{
		$monatszahl = array($monatszahlen);
	}
if(is_array($jahreszahl)){
		$jahre = $jahreszahl;
		}else{
		$jahre = array($jahreszahl);
		}
if(is_array($farbe)){
		$farben = $farbe;
		}else{
		$farben = array($farbe);
		}

//** Wenn das Farbarray zu klein ist dann fullen wir es mit den Standardfarben
for($f = 0; $f <= 25; $f++){
		if((!$farben[$f])){
					$farben[$f] = $standardfarbmodell[$f];
			}
		}

$first = "1";
$wochentage = days($Language,$LanguagePathAbs);
if(!$wochentage){
$wochentage = array("Mo","Di","Mi","Do","Fr","Sa","So");
}
/**
* Hab hier der Aufbau des Kalender
*
**/
	foreach ($jahre as $jahr){
	/* Ostersonntag - 46: Aschermittwoch,  (Aschermittwoch)
   Ostersonntag + 39: Christi Himmelfahrt,    (Himmelfahrt)
   Ostersonntag + 49: Pfingstsonntag,    (Pfingstsonntag)
   Ostersonntag + 60: Fronleichnam    (Fronleichnam)
	*/

		$os = osterformel($jahr);
		$ps = $os + (49 * 86400);
		$ascher = $os - (46 * 86400);
		$fron = $os + (60 * 86400);
		$himmel = $os + (39 * 86400);
	/*
	#$pfingsten = (date(z,$os) + 49);
	#echo $os;
	#echo "Ostersonntag: ".date(d,$os).".".date(m,$os)." ".date(Y,$os);
	#echo "Pfingstsonntag: ".date(d,$ps).".".date(m,$ps)." ".date(Y,$ps);
	#echo "Aschermittwoch: ".date(d,$ascher).".".date(m,$ascher)." ".date(Y,$ascher);
	#echo "Fronleichnam: ".date(d,$fron).".".date(m,$fron)." ".date(Y,$fron);
	#echo "Himmelfahrt: ".date(d,$himmel).".".date(m,$himmel)." ".date(Y,$himmel);
	*/
	$zahl = 0;
	$zeichen .= "\n";
	$zeichen .= "<!--Kalenderfunktion Arnold Schiller -->\n";
	$zeichen .= '<table border="1" cellspacing="0" cellpadding="0">';
	$zeichen .= '<tr>';

	$zeichen .= "<caption><b>";
	$zeichen .= '<a href="';
	$zeichen .= $_SERVER["PHP_SELF"].'?tag=0&monat=0&jahr='.$jahr;
	$zeichen .= '">';
	$zeichen .= '<img src="'.$ImagePathRel.'jahrbild.php?bild='.$jahr.'&l='.$laenge.'&r='.$farben[0].'&g='.$farben[1].'&b='.$farben[2].'&text='.$farben[3].'&l=152&h=21'.'" alt="'.$jahr.'" border="1">';
	//$zeichen .= $jahr;
	$zeichen .= "</a></b></caption>";
	/**
	*  Ab hier ausgabe der einzelnen Monate
	**/
	foreach ($monate as $monat){
		//$zeit = strtotime("$first $englishmonth[$zahl] $jahr");
		//Zeutstempel des ersten Monatstages
		$zeit = mktime( 0, 0, 0, $monatszahl[$zahl], $first, $jahr);
		
		$datum = getdate($zeit);
		//$zeichen .= $datum[wday];
		//$wo = date(w,$zeit);
		//$zeichen .= $wo;
		//$zeichen .= date($datum,t);
		//$wo = $datum[wday];
		if($zahl % $rows == 0){
				$zeichen .= '</td></tr><tr><td class="kal" valign="top">';
				}else{
				$zeichen .= '</td><td class="kal" valign="top">';
				}
/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll					
************************************************************************************************************/
			$zeichen .= '<table border="1" cellspacing="0" cellpadding="0" width="141">';
			$zeichen .= "<caption>";
			$zeichen .= '<a href="';
			$zeichen .= $_SERVER["PHP_SELF"].'?tag=0&monat='.$monatszahl[$zahl].'&jahr='.$jahr;
			$zeichen .= '">';
			$monat = chop($monat);
			$monattext = urlencode($monat);
			$zeichen .= '<img src="'.$ImagePathRel.'monatbild.php?bild='.$monattext.'&r='.$farben[4].'&g='.$farben[5].'&b='.$farben[6].'&text='.$farben[7].'&l=166&h=21'.' alt="'.$monat.'" border="1">';
			//echo ($monat);
		//$zeichen .= $monat;
			$zeichen .= "</a></caption>";
			$zeichen .= "<tr>";
/***********************************************************************************************************
		      Wochentage als Spaltenueberschrift ausgelagert in Funktion wochentageszeichen				
************************************************************************************************************/			
			if($wochenanzeige == 1){
									$zeichen .= '<td class="kal">';
									$zeichen .= '<img src="'.$ImagePathRel.'wochenbild.php?bild=Wo&r='.$farben[12].'&g='.$farben[13].'&b='.$farben[14].'&text='.$farben[15].'" alt="Woche" border="1">';
									$zeichen .= '</td>';
						}
			
			$zeichen .= wochentagszeichen($wochentage,$ConfigPath);

					

/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll
************************************************************************************************************/			
					
			$zeichen .= "</tr>";
			$zeichen .= "<tr>";
/***********************************************************************************************************
		  Leerzeichen der ersten Woche ermitteln und Zeichenkette zuweisen				
************************************************************************************************************/
			if($wochenanzeige == 1 && date('W',$zeit) && (date('w',$zeit) != 1)){

									 $zeichen .= '<td class="kal">';
									 $zeichen .= '<img src="'.$ImagePathRel.'wochenbild.php?bild='.date('W',$feiertag).'&r='.$farben[12].'&g='.$farben[13].'&b='.$farben[14].'&text='.$farben[15].'" alt="Woche" border="1">';

									  //$zeichen .=  date('W',$zeit);
									  //$zeichen .= '<td>';

									}
			$zeichen .=  firstweekleerzeichen($zeit,$ConfigPath);
/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll					
************************************************************************************************************/			

			
					$tagezahl = date('t',$zeit);
				    for($t = 1; $t <= $tagezahl; $t++){
					    $status = false;
						$statustoday = false;
						$feiertag = mktime(0,0,0,$monatszahl[$zahl],$t,$jahr);
						$statusanzeige = $t." ".$monat." ".$jahr;

						//echo $todaytag;
/***********************************************************************************************************
		    FEIERTAGE
************************************************************************************************************/
						if(date('z',$feiertag) == date('z',$today)){
						//HEUTE 
								$statusanzeige .=  $feiertagetext[0] ;
								$statustoday = true; 
								//echo 'test: '.$statusanzeige;
								}
						if(date('z',$feiertag) == 0){
						//Neujahr
								$statusanzeige .=  $feiertagetext[1] ;
								$status = true;
								}
						if(date('z',$feiertag) == 5){
						//Heilige Drei Knige
								$statusanzeige .=  $feiertagetext[2] ;
								$status = true;
								}
						if(date('z',$feiertag) == date('z',$ascher)){
						//Aschermittwoch
								$statusanzeige .=  $feiertagetext[3] ;
								//$status = true;
								}
						if(date('z',$feiertag) == date('z',$os)){
						//Ostersonntag
								$statusanzeige .=  $feiertagetext[4] ;
								$status = true;
								//echo $feiertag;
								//echo $os;
						}
						//Maifeiertag
						if((date('m',$feiertag) == 5) && (date('d',$feiertag) == 1)){
						
								$statusanzeige .=  $feiertagetext[5] ;
								$status = true;
								}
						//Tag der deutschen Einheit		
						if((date('m',$feiertag) == 10) && (date('d',$feiertag) == 3)){
								$statusanzeige .=  $feiertagetext[6] ;
								$status = true;
								}
						//Erster November
					    if((date('m',$feiertag) == 11) && (date('d',$feiertag) == 1)){
						        $statusanzeige .=  $feiertagetext[7] ;
								$status = true;
								}
						//Monat Dezember
						if((date('m',$feiertag) == 12) && (date('d',$feiertag) == 24)){
								$statusanzeige .=  $feiertagetext[8] ;
								//$status = true;
								}
						if((date('m',$feiertag) == 12) && (date('d',$feiertag) == 25)){
								$statusanzeige .=  $feiertagetext[9] ;
								$status = true;
								}
						if((date('m',$feiertag) == 12) && (date('d',$feiertag) == 26)){
								$statusanzeige .=  $feiertagetext[10] ;
								$status = true; 
								}
						if((date('m',$feiertag) == 12) && (date('d',$feiertag) == 31)){
								$statusanzeige .=  $feiertagetext[11] ;
								//$status = true;
								}


						/*echo $feiertag;
						echo $os;*/
					 	if(date('z',$feiertag) == date('z',$himmel)){
								$statusanzeige .=  $feiertagetext[12] ;
								$status = true;
								}
						if(date('z',$feiertag) == date('z',$ps)){
								$statusanzeige .=  $feiertagetext[13] ;
								$status = true;
								}
						if(date('z',$feiertag) == date('z',($ps + 86400))){
								$statusanzeige .=  $feiertagetext[14] ;
								$status = true;
								}
						if(date('z',$feiertag) == date('z',$fron)){
								$statusanzeige .=  $feiertagetext[15] ;
								$status = true;
								}

								//86400 ist ein Tag
						if(date('z',$feiertag) == date('z',($os + 86400))){
								$statusanzeige .=  $feiertagetext[16] ;
								$status = true;
								}
						if(date('z',$feiertag) == date('z',($os - 86400))){
								$statusanzeige .=  $feiertagetext[17] ;
								//$status = true;
								}
						if(date('z',$feiertag) == date('z',($os - (2*86400)))){
								$statusanzeige .=  $feiertagetext[16] ;
								$status = true;
								}
						if($feiertag == ($ascher - (2*86400))){
								$statusanzeige .=  $feiertagetext[17] ;
								//$status = true;
								}
						if($feiertag == ($ascher - (86400))){
								$statusanzeige .=  $feiertagetext[18] ;
								}
								
/***********************************************************************************************************
		ENDE STATUS FEIERTAGE				
************************************************************************************************************/



/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll					
************************************************************************************************************/
						$statusanzeige = chop($statusanzeige);
						$statusanzeige = urlencode($statusanzeige);

						if($wochenanzeige == 1 && date('w',$feiertag) == 1){
									$zeichen .= '<td class="kal">';
									$zeichen .= '<img src="'.$ImagePathRel.'wochenbild.php?bild='.date('W',$feiertag).'&r='.$farben[12].'&g='.$farben[13].'&b='.$farben[14].'&text='.$farben[15].'" alt="Woche" border="1">';
									$zeichen .= '</td>';
						}
						$zeichen .= "\n";
						$zeichen .= '<td class="kal">';
						$zeichen .= '<a href="';
						$zeichen .= $_SERVER["PHP_SELF"].'?day='.$t.'&month='.$monatszahl[$zahl].'&year='.$jahr.'&week='.date('W',$feiertag).'&holiday='.$status;
						$zeichen .= '" onMouseover="window.status=\''.$statusanzeige.'\'; return true;" >';
/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll					
************************************************************************************************************/						
/*
Welches Bild?
*/
							if((date('w',$feiertag)) != "0"){

									if($status == true){
										$zeichen .= feier($t,$farben,$statusanzeige,$ConfigPath);
										$zeichen .= "</a>";
										$zeichen .= '</td>';
										}else{
           								if($statustoday == true){
													$zeichen .= heute($t,$farben,$statusanzeige,$ConfigPath);
												    }else{
													$zeichen .= normaltag($t,$farben,$statusanzeige,$ConfigPath);
										 	}
										$zeichen .= "</a>";
										$zeichen .= '</td>';
										$zeichen .= "\n";
									}
								
								}elseif((date('w',$feiertag)) == 0){
									if($status == true){

									     $zeichen .= feier($t,$farben,$statusanzeige,$ConfigPath);

								 	}else{
              						if($statustoday == true){
											$zeichen .= heute($t,$farben,$statusanzeige,$ConfigPath);

										}else{
								          $zeichen .= sonntag($t,$farben,$statusanzeige,$ConfigPath);

									}

        						}

								$zeichen .= "</a>";
								$zeichen .= '</td>';
								$zeichen .= "</tr><tr>\n";


							}





   }
			
			

/***********************************************************************************************************
		Ende Tage
		Leerzeichen der letzten Woche
************************************************************************************************************/			
			
			
			
			$letztertag = mktime( 0, 0, 0, $monatszahl[$zahl], $tagezahl, $jahr);
			$rest = date('w',$letztertag);
			//$zeichen .= "\n\n\n $rest \n\n\n\n";
			//echo $rest;
			if($rest > 0){
					for($i = 6; $rest <= $i; $i--){
						$zeichen .= '<td class="kal"><img src="'.$ImagePathRel.'leerbild.php?r='.$farben[16].'&g='.$farben[17].'&b='.$farben[18].'" alt="leer" border="1"></td>';
						$zeichen .= "\n";
					
					}
				}
			
/***********************************************************************************************************
		In $zeichen landet alles was an Zeichen zurckgegeben werden soll					
************************************************************************************************************/

		
		$zeichen .= "</tr>\n";
		$zeichen .= "</table>\n";
        
		//$zeichen .= (8 - $leertage);

		$zahl++;		

	}
	

/***************
Ende monate
****************/

		$zahl2 = $zahl % $rows;

		if($zahl2 > 0 && (count(monate) > $rows)){
			$zeichen .= "<td><table><tr><td>&nbsp;$zahl2<td></tr></table><td>";
				if($zahl2 == 1 && $rows > 2){
					$zeichen .= "<td><table><tr><td>&nbsp;$zahl2<td></tr></table><td>";
					}
		}
		
	//Abschluss tr foreachschleife Jahre
	$zeichen .= '</tr>';
		//Ab table foreachschleife Jahre
	$zeichen .= '</table>';
	//Debugausgabe als Kommentar 
	$zeichen .= "\n";
	$zeichen .= "<!--Ende Kalenderfunktion Arnold Schiller -->\n";
	$zeichen .= "\n";

	//ende der foreach-schleife fr die Jahre
	}
     //$zeichen = htmlentities($zeichen);
return $zeichen;


}


function wochentagszeichen($wochentage,$ConfigPath) {
					include("$ConfigPath");
                    foreach ($wochentage as $wochentag){
						$zeichen .= '<td class="kal">';
						
						/*
						Vielleicht sollten die Wochentage gezeichnet werden
						*/

						//$bild = wochenbilder($wochentag);

						$zeichen .= '<img src="'.$ImagePathRel.'wochenbild.php?bild='.$wochentag.'&r='.$farben[12].'&g='.$farben[13].'&b='.$farben[14].'&text='.$farben[15].'" alt="'.$wochentag.'" border="1">';

						$zeichen .= "</td>";
					 }
					return $zeichen;
	}

function firstweekleerzeichen($zeit,$ConfigPath){
					include("$ConfigPath");
					 /* von array 0 bis 3 jahrbild.php r,g,b,textfarbe 0 bis 254 grautne
					von array 4 bis 7 monatbild.php r,g,b,textfarbe 0 bis 254 grautne
					von array 8 bis 11 tagbild.php  r,g,b,textfarbe 0 bis 254 grautne
					von array 12 bis 15 wochenbild.php r,g,b,textfarbe 0 bis 254 Grautne
					von array 16 bis 18 '.ImagePathRel.'leerbild.php r,g,b
					von array 19 bis 21 feiertag
					von array 22 bis 35 today
					*/
					$leer = 0;
					$leertage =  date('w',$zeit);
					for ($leer = 2; $leer <= $leertage; $leer++){
						$zeichen .= "\n";
						/*Hmm feste Verknpfung zu bilder
						eigentlich nicht gut
						*/
						$zeichen .= '<td class="kal"><img src="'.$ImagePathRel.'leerbild.php?r='.$farben[16].'&g='.$farben[17].'&b='.$farben[18].'" alt="leer" border="1"></td>';
						//$zeichen .= $leertage;
						}
					if((8 - $leertage) == 8){
							for ($leer = 1; $leer <= 6; $leer++){
							$zeichen .= "\n";
							$zeichen .= '<td class="kal"><img src="'.$ImagePathRel.'leerbild.php?r='.$farben[16].'&g='.$farben[17].'&b='.$farben[18].'" alt="leer" border="1"></td>';
							}
					   }
					return $zeichen;
				}

function sonntag($t,$farben,$statusanzeige,$ConfigPath){
		include("$ConfigPath");
		 /**
		 von array 0 bis 3 jahrbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 4 bis 7 monatbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 8 bis 11 tagbild.php  r,g,b,textfarbe 0 bis 254 grautne
		von array 12 bis 15 wochenbild.php r,g,b,textfarbe 0 bis 254 Grautne
		von array 16 bis 18 '.ImagePathRel.'leerbild.php r,g,b
		von array 19 bis 21 feiertag
		von array 22 bis 35 today
		**/
		  $zeichen = '<img src="'.$ImagePathRel.'tagbild.php?bild='.$t.'&r='.$farben[8].'&g='.$farben[9].'&b='.$farben[11].'&text='.$farben[11].'" alt="'.$t.'" onMouseover="window.status=\''.$statusanzeige.'\'"  border="1">';
		  return $zeichen;
						}
function heute($t,$farben,$statusanzeige,$ConfigPath){
		include("$ConfigPath");
		 /*
		 von array 0 bis 3 jahrbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 4 bis 7 monatbild.php r,g,b,textfarbe 0 bis 254 grautne
		von array 8 bis 11 tagbild.php  r,g,b,textfarbe 0 bis 254 grautne
		von array 12 bis 15 wochenbild.php r,g,b,textfarbe 0 bis 254 Grautne
		von array 16 bis 18 '.ImagePathRel.'leerbild.php r,g,b
		von array 19 bis 21 feiertag
		von array 22 bis 35 today
		*/
		$zeichen = '<img src="'.$ImagePathRel.'tagbild.php?bild='.$t.'&r='.$farben[22].'&g='.$farben[23].'&b='.$farben[24].'&text='.$farben[25].'" alt="'.$t.'" onMouseover="window.status=\''.$statusanzeige.'\'" border="1">';

		 return $zeichen;
		}

function normaltag($t,$farben,$statusanzeige,$ConfigPath){
		include("$ConfigPath");
 		$zeichen = '<img src="'.$ImagePathRel.'tagbild.php?bild='.$t.'&r='.$farben[8].'&g='.$farben[9].'&b='.$farben[10].'&text='.$farben[11].'" alt="'.$t.'" onMouseover="window.status=\''.$statusanzeige.'\'" border="1">';
		return $zeichen;
}

function feier($t,$farben,$statusanzeige,$ConfigPath){
		include("$ConfigPath");
		$zeichen .= '<img src="'.$ImagePathRel.'tagbild.php?bild='.$t.'&r='.$farben[19].'&g='.$farben[20].'&b='.$farben[21].'&text='.$farben[11].'" alt="'.$statusanzeige.'" onMouseover="window.status=\''.$statusanzeige.'\'; return true;" onMouseout="window.status=\''.$statusanzeige.'\'; return true;" border="1">';
		return $zeichen;
}



?>
